Collapsed Topics

Course formats ::: format_topcoll
Maintained by Gareth J BarnardGareth J Barnard
An interchangeable topic or week based format that solves the issue of the 'Scroll of Death' when a course has many topics.
Latest release:
6042 sites
3k downloads
145 fans
Current versions available: 23

An interchangeable topic or week (day for 2.3.1+) based format that solves the issue of the 'Scroll of Death' when a course has many topics / weeks. All sections except zero have a toggle that displays that section. One or more sections can be displayed at any given time. Toggles are persistent on a per browser session per course basis but can be made to persist longer by a small code change. Full installation instructions, code adapt-ions and credits are included in the 'Readme.md' file.

If you have a course with more than fifty two sections then currently the toggle persistence will not work for the fifty third section and above.  Then you need to upgrade to the Moodle 2.5 version+.

Support:

The format comes with NO support.  Please see the 'Support' section in 'Readme.md' file that comes with the format.  This is because the format is complex and I regret that I don't have the time / resources to freely assist with questions pertaining to specific enhancements / changes / knowledge improvement.

I will investigate genuine bugs and issue fixes in a timescale set by myself.  When reporting issues you MUST clearly state the full version and release of both Moodle and the Collapsed Topics format as contained within their 'version.php' files - if not it takes me longer to figure out, often resulting in me asking for the details anyway and slowing the process of solving your problem down.  It really helps to read the 'Reporting Issues' section in the 'Readme.md' file and upload and describe in detail the issue you are having on the 'Course formats' forum.

Book:

NEW: 'The Complete Guide to Collapsed Topics' (and 'Blurb') book is now available, covering: installation, upgrade, uninstallation, course and global features, resetting, capabilities, language strings, overriding icons / styles in a theme and adding a new icon set.

The Complete Guide to Collapsed Topics book


The Complete Guide to Collapsed Topics book on a book stand


Inside the Complete Guide to Collapsed Topics.


NOTE: The latest version incorporates functionality to support new UK / EU Cookie Law which is implemented as a user acceptance in the 1.9 version and no 'cookie' is used at all in 2.x versions.

Screen casts:




Privacy API support starts with V3.3.1.2 for M3.3 and V3.4.0.2 for M3.4 where the API has been implemented in the minor release of Moodle.

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3
Screenshot #4
Screenshot #5
Screenshot #6
Screenshot #7

Contributors

Gareth J Barnard
Gareth J Barnard (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Comments

  • Fri, Nov 18, 2011, 1:31 AM
    I have downloaded and installed the plugin for version 2.0 although I have Moodle 2.1 but it says Plugin "format_topcoll" (2011101114) could not be installed. It requires a newer version of Moodle (currently you are using 2011070101.06, you need 2011070102.01).
  • Fri, Nov 18, 2011, 3:49 AM
    hi really like the plugin, but couldn't install it. Got a message like this"Plugin "format_topcoll" (2011101114) could not be installed. It requires a newer version of Moodle (currently you are using 2011070101.08, you need 2011070102.01)." Do I have to upgrade the whole Moodle site to install it? any other way to make the plugin work? thank you.
  • Gareth J Barnard
    Tue, Nov 22, 2011, 4:55 AM
    @Nikolaos, There is a Moodle 2.1 version to use instead. If that does not work, edit its version.php and change the required version and see if it works - which it may but as the code relies on core code libraries and I keep up-to-date with developments it may not. Otherwise, please kindly update your Moodle 2.1 to the latest stable release of it.
  • Gareth J Barnard
    Tue, Nov 22, 2011, 4:57 AM
    @Apple - comment answered by messenger.
  • Sun
    Wed, Jan 18, 2012, 6:22 PM
    The course format has been translated into Russian language and fixed some issues (especially in grid format). Download: http://dl.dropbox.com/u/51246684/format.zip
  • Mon, Jan 23, 2012, 2:01 AM
    Hello, I have Moodle 2.2 but says:
    Sorry, the plugin "mod_onetopic" is flawed or outdated: you can not continue.

    More information about this error

    Debug info: Missing version value in version.php
    Stack trace:
    line 457 of /lib/upgradelib.php: plugin_defective_exception thrown
    line 271 of /lib/upgradelib.php: call to upgrade_plugins_modules()
    line 1449 of /lib/upgradelib.php: call to upgrade_plugins()
    line 269 of /admin/index.php: call to upgrade_noncore()
  • Gareth J Barnard
    Thu, Feb 2, 2012, 9:54 PM
    @sergio Sorry but this is not the format with your issue, please see http://moodle.org/plugins/view.php?plugin=format_onetopic
  • Gareth J Barnard
    Thu, Feb 2, 2012, 9:55 PM
    @Pavel, Thank you so much, will be released soon,
Please login to post comments